//+------------------------------------------------------------------+
//|                         volatility_alert_ATR.mq4                 |
//+------------------------------------------------------------------+

// Preprocessor
#property copyright "me"
#include <stdlib.mqh>

// External variables
extern double ATR_Slow_Period = 60;
extern double ATR_Fast_Period = 1;
extern int MinutesToSleep = 5;
extern int LittleSpikeMultiplier = 3;
extern int BigSpikeMultiplier = 5;

double BarsBack = 0;

// Init function
int init()
	{

	}

// Start function
int start()
	{
	string Pair = Symbol();
   double ATRfast = iATR(NULL, 0, ATR_Fast_Period, 0);
   double ATRslow = iATR(NULL, 0, ATR_Slow_Period, 0);
   double MilliSex = (MinutesToSleep * 60000);

   bool CheckOncePerBar = true;
   datetime CurrentTimeStamp;
	

		// Begin Conditions... 
   
            if(ATRfast >= (BigSpikeMultiplier *  ATRslow))
					{
						// Sound Alert
					Alert("Spike on " + Pair + "!");
					Print("Fast = " + ATRfast + ", Slow = " + ATRslow);
					PlaySound("bigspike.wav");
					Sleep(MilliSex);
					}

			  // End Conditions 

		return(0);
	}
	
	